Create Payout Action
curl --request POST \
--url https://api.dfns.io/payouts/{payoutId}/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"action": "Confirm",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"transfer": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>",
"to": "<string>"
}
}
'import requests
url = "https://api.dfns.io/payouts/{payoutId}/action"
payload = {
"action": "Confirm",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"transfer": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>",
"to": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
action: 'Confirm',
walletId: 'wa-5pfuu-9euek-h0odgb6snva8ph3k',
transfer: {kind: 'Erc20', amount: '<string>', contract: '<string>', to: '<string>'}
})
};
fetch('https://api.dfns.io/payouts/{payoutId}/action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Create Payout Action
Perform an action on a payout, such as confirming or canceling.
POST
/
payouts
/
{payoutId}
/
action
Create Payout Action
Authentication
✅ Organization User (CustomerEmployee)✅ Delegated User (
EndUser)✅ Service Account
Required Permissions
Payouts:Write: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Path Parameters
Payout id.
Required string length:
1 - 64Body
application/json
- Confirm Payout Action
- Cancel Payout Action
Available options:
Confirm The wallet ID to use for the transfer.
Required string length:
1 - 64Pattern:
^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$Example:
"wa-5pfuu-9euek-h0odgb6snva8ph3k"
The transfer details for the payout settlement.
- ERC-20 Transfer
- SPL/SPL-2022 Transfer
Show child attributes
Show child attributes
Response
200 - application/json
Success
The response is of type object.
Last modified on July 9, 2026
Was this page helpful?
⌘I